org.opencv.bgsegm

## Class Bgsegm

- java.lang.Object
- - org.opencv.bgsegm.Bgsegm

-     public class Bgsegm
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LSBP_CAMERA_MOTION_COMPENSATION_LK`
    `static int` | `LSBP_CAMERA_MOTION_COMPENSATION_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bgsegm()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT()` Creates a CNT Background Subtractor
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT(int minPixelStability)` Creates a CNT Background Subtractor
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT(int minPixelStability, boolean useHistory)` Creates a CNT Background Subtractor
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT(int minPixelStability, boolean useHistory, int maxPixelStability)` Creates a CNT Background Subtractor
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT(int minPixelStability, boolean useHistory, int maxPixelStability, boolean isParallel)` Creates a CNT Background Subtractor
    `static BackgroundSubtractorGMG` | `createBackgroundSubtractorGMG()` Creates a GMG Background Subtractor
    `static BackgroundSubtractorGMG` | `createBackgroundSubtractorGMG(int initializationFrames)` Creates a GMG Background Subtractor
    `static BackgroundSubtractorGMG` | `createBackgroundSubtractorGMG(int initializationFrames, double decisionThreshold)` Creates a GMG Background Subtractor
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC()` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha, float beta)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha, float beta, float blinkingSupressionDecay)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha, float beta, float blinkingSupressionDecay, float blinkingSupressionMultiplier)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha, float beta, float blinkingSupressionDecay, float blinkingSupressionMultiplier, float noiseRemovalThresholdFacBG)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha, float beta, float blinkingSupressionDecay, float blinkingSupressionMultiplier, float noiseRemovalThresholdFacBG, float noiseRemovalThresholdFacFG)` Creates an instance of BackgroundSubtractorGSOC algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP()` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale, float Rincdec)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale, float Rincdec, float noiseRemovalThresholdFacBG)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale, float Rincdec, float noiseRemovalThresholdFacBG, float noiseRemovalThresholdFacFG)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale, float Rincdec, float noiseRemovalThresholdFacBG, float noiseRemovalThresholdFacFG, int LSBPthreshold)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale, float Rincdec, float noiseRemovalThresholdFacBG, float noiseRemovalThresholdFacFG, int LSBPthreshold, int minCount)` Creates an instance of BackgroundSubtractorLSBP algorithm.
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG()` Creates mixture-of-gaussian background subtractor means some automatic value.
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG(int history)` Creates mixture-of-gaussian background subtractor
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG(int history, int nmixtures)` Creates mixture-of-gaussian background subtractor
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG(int history, int nmixtures, double backgroundRatio)` Creates mixture-of-gaussian background subtractor
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG(int history, int nmixtures, double backgroundRatio, double noiseSigma)` Creates mixture-of-gaussian background subtractor
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object)` Creates an instance of SyntheticSequenceGenerator.
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object, double amplitude)` Creates an instance of SyntheticSequenceGenerator.
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object, double amplitude, double wavelength)` Creates an instance of SyntheticSequenceGenerator.
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object, double amplitude, double wavelength, double wavespeed)` Creates an instance of SyntheticSequenceGenerator.
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object, double amplitude, double wavelength, double wavespeed, double objspeed)` Creates an instance of SyntheticSequenceGenerator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LSBP_CAMERA_MOTION_COMPENSATION_NONE

          public static final int LSBP_CAMERA_MOTION_COMPENSATION_NONE

      See Also:
        Constant Field Values

    - #### LSBP_CAMERA_MOTION_COMPENSATION_LK

          public static final int LSBP_CAMERA_MOTION_COMPENSATION_LK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Bgsegm

          public Bgsegm()

  - ### Method Detail

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT(int minPixelStability,
                                                                              boolean useHistory,
                                                                              int maxPixelStability,
                                                                              boolean isParallel)

      Creates a CNT Background Subtractor
      Parameters:
        `minPixelStability` - number of frames with same pixel color to consider stable
        `useHistory` - determines if we're giving a pixel credit for being stable for a long time
        `maxPixelStability` - maximum allowed credit for a pixel in history
        `isParallel` - determines if we're parallelizing the algorithm
      Returns:
        automatically generated

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT(int minPixelStability,
                                                                              boolean useHistory,
                                                                              int maxPixelStability)

      Creates a CNT Background Subtractor
      Parameters:
        `minPixelStability` - number of frames with same pixel color to consider stable
        `useHistory` - determines if we're giving a pixel credit for being stable for a long time
        `maxPixelStability` - maximum allowed credit for a pixel in history
      Returns:
        automatically generated

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT(int minPixelStability,
                                                                              boolean useHistory)

      Creates a CNT Background Subtractor
      Parameters:
        `minPixelStability` - number of frames with same pixel color to consider stable
        `useHistory` - determines if we're giving a pixel credit for being stable for a long time
      Returns:
        automatically generated

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT(int minPixelStability)

      Creates a CNT Background Subtractor
      Parameters:
        `minPixelStability` - number of frames with same pixel color to consider stable
      Returns:
        automatically generated

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT()

      Creates a CNT Background Subtractor
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGMG

          public static BackgroundSubtractorGMG createBackgroundSubtractorGMG(int initializationFrames,
                                                                              double decisionThreshold)

      Creates a GMG Background Subtractor
      Parameters:
        `initializationFrames` - number of frames used to initialize the background models.
        `decisionThreshold` - Threshold value, above which it is marked foreground, else background.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGMG

          public static BackgroundSubtractorGMG createBackgroundSubtractorGMG(int initializationFrames)

      Creates a GMG Background Subtractor
      Parameters:
        `initializationFrames` - number of frames used to initialize the background models.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGMG

          public static BackgroundSubtractorGMG createBackgroundSubtractorGMG()

      Creates a GMG Background Subtractor
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha,
                                                                                float beta,
                                                                                float blinkingSupressionDecay,
                                                                                float blinkingSupressionMultiplier,
                                                                                float noiseRemovalThresholdFacBG,
                                                                                float noiseRemovalThresholdFacFG)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
        `alpha` - Scale coefficient for threshold.
        `beta` - Bias coefficient for threshold.
        `blinkingSupressionDecay` - Blinking supression decay factor.
        `blinkingSupressionMultiplier` - Blinking supression multiplier.
        `noiseRemovalThresholdFacBG` - Strength of the noise removal for background points.
        `noiseRemovalThresholdFacFG` - Strength of the noise removal for foreground points.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha,
                                                                                float beta,
                                                                                float blinkingSupressionDecay,
                                                                                float blinkingSupressionMultiplier,
                                                                                float noiseRemovalThresholdFacBG)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
        `alpha` - Scale coefficient for threshold.
        `beta` - Bias coefficient for threshold.
        `blinkingSupressionDecay` - Blinking supression decay factor.
        `blinkingSupressionMultiplier` - Blinking supression multiplier.
        `noiseRemovalThresholdFacBG` - Strength of the noise removal for background points.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha,
                                                                                float beta,
                                                                                float blinkingSupressionDecay,
                                                                                float blinkingSupressionMultiplier)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
        `alpha` - Scale coefficient for threshold.
        `beta` - Bias coefficient for threshold.
        `blinkingSupressionDecay` - Blinking supression decay factor.
        `blinkingSupressionMultiplier` - Blinking supression multiplier.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha,
                                                                                float beta,
                                                                                float blinkingSupressionDecay)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
        `alpha` - Scale coefficient for threshold.
        `beta` - Bias coefficient for threshold.
        `blinkingSupressionDecay` - Blinking supression decay factor.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha,
                                                                                float beta)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
        `alpha` - Scale coefficient for threshold.
        `beta` - Bias coefficient for threshold.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
        `alpha` - Scale coefficient for threshold.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
        `hitsThreshold` - How many positives the sample must get before it will be considered as a possible replacement.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
        `propagationRate` - Probability of propagating to neighbors.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `replaceRate` - Probability of replacing the old sample - how fast the model will update itself.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc)

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Parameters:
        `mc` - Whether to use camera motion compensation.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC()

      Creates an instance of BackgroundSubtractorGSOC algorithm. Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale,
                                                                                float Rincdec,
                                                                                float noiseRemovalThresholdFacBG,
                                                                                float noiseRemovalThresholdFacFG,
                                                                                int LSBPthreshold,
                                                                                int minCount)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
        `Rscale` - Scale coefficient for threshold values.
        `Rincdec` - Increase/Decrease step for threshold values.
        `noiseRemovalThresholdFacBG` - Strength of the noise removal for background points.
        `noiseRemovalThresholdFacFG` - Strength of the noise removal for foreground points.
        `LSBPthreshold` - Threshold for LSBP binary string.
        `minCount` - Minimal number of matches for sample to be considered as foreground.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale,
                                                                                float Rincdec,
                                                                                float noiseRemovalThresholdFacBG,
                                                                                float noiseRemovalThresholdFacFG,
                                                                                int LSBPthreshold)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
        `Rscale` - Scale coefficient for threshold values.
        `Rincdec` - Increase/Decrease step for threshold values.
        `noiseRemovalThresholdFacBG` - Strength of the noise removal for background points.
        `noiseRemovalThresholdFacFG` - Strength of the noise removal for foreground points.
        `LSBPthreshold` - Threshold for LSBP binary string.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale,
                                                                                float Rincdec,
                                                                                float noiseRemovalThresholdFacBG,
                                                                                float noiseRemovalThresholdFacFG)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
        `Rscale` - Scale coefficient for threshold values.
        `Rincdec` - Increase/Decrease step for threshold values.
        `noiseRemovalThresholdFacBG` - Strength of the noise removal for background points.
        `noiseRemovalThresholdFacFG` - Strength of the noise removal for foreground points.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale,
                                                                                float Rincdec,
                                                                                float noiseRemovalThresholdFacBG)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
        `Rscale` - Scale coefficient for threshold values.
        `Rincdec` - Increase/Decrease step for threshold values.
        `noiseRemovalThresholdFacBG` - Strength of the noise removal for background points.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale,
                                                                                float Rincdec)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
        `Rscale` - Scale coefficient for threshold values.
        `Rincdec` - Increase/Decrease step for threshold values.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
        `Rscale` - Scale coefficient for threshold values.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
        `Tdec` - Decrease step for T-values. See CITE: LGuo2016 for details.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
        `Tinc` - Increase step for T-values. See CITE: LGuo2016 for details.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
        `Tupper` - Upper bound for T-values. See CITE: LGuo2016 for details.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
        `Tlower` - Lower bound for T-values. See CITE: LGuo2016 for details.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
        `LSBPRadius` - LSBP descriptor radius.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
        `nSamples` - Number of samples to maintain at each point of the frame.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc)

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Parameters:
        `mc` - Whether to use camera motion compensation.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP()

      Creates an instance of BackgroundSubtractorLSBP algorithm. Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at CITE: LGuo2016
      Returns:
        automatically generated

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG(int history,
                                                                              int nmixtures,
                                                                              double backgroundRatio,
                                                                              double noiseSigma)

      Creates mixture-of-gaussian background subtractor
      Parameters:
        `history` - Length of the history.
        `nmixtures` - Number of Gaussian mixtures.
        `backgroundRatio` - Background ratio.
        `noiseSigma` - Noise strength (standard deviation of the brightness or each color channel). 0 means some automatic value.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG(int history,
                                                                              int nmixtures,
                                                                              double backgroundRatio)

      Creates mixture-of-gaussian background subtractor
      Parameters:
        `history` - Length of the history.
        `nmixtures` - Number of Gaussian mixtures.
        `backgroundRatio` - Background ratio. means some automatic value.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG(int history,
                                                                              int nmixtures)

      Creates mixture-of-gaussian background subtractor
      Parameters:
        `history` - Length of the history.
        `nmixtures` - Number of Gaussian mixtures. means some automatic value.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG(int history)

      Creates mixture-of-gaussian background subtractor
      Parameters:
        `history` - Length of the history. means some automatic value.
      Returns:
        automatically generated

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG()

      Creates mixture-of-gaussian background subtractor means some automatic value.
      Returns:
        automatically generated

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object,
                                                                                    double amplitude,
                                                                                    double wavelength,
                                                                                    double wavespeed,
                                                                                    double objspeed)

      Creates an instance of SyntheticSequenceGenerator.
      Parameters:
        `background` - Background image for object.
        `object` - Object image which will move slowly over the background.
        `amplitude` - Amplitude of wave distortion applied to background.
        `wavelength` - Length of waves in distortion applied to background.
        `wavespeed` - How fast waves will move.
        `objspeed` - How fast object will fly over background.
      Returns:
        automatically generated

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object,
                                                                                    double amplitude,
                                                                                    double wavelength,
                                                                                    double wavespeed)

      Creates an instance of SyntheticSequenceGenerator.
      Parameters:
        `background` - Background image for object.
        `object` - Object image which will move slowly over the background.
        `amplitude` - Amplitude of wave distortion applied to background.
        `wavelength` - Length of waves in distortion applied to background.
        `wavespeed` - How fast waves will move.
      Returns:
        automatically generated

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object,
                                                                                    double amplitude,
                                                                                    double wavelength)

      Creates an instance of SyntheticSequenceGenerator.
      Parameters:
        `background` - Background image for object.
        `object` - Object image which will move slowly over the background.
        `amplitude` - Amplitude of wave distortion applied to background.
        `wavelength` - Length of waves in distortion applied to background.
      Returns:
        automatically generated

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object,
                                                                                    double amplitude)

      Creates an instance of SyntheticSequenceGenerator.
      Parameters:
        `background` - Background image for object.
        `object` - Object image which will move slowly over the background.
        `amplitude` - Amplitude of wave distortion applied to background.
      Returns:
        automatically generated

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object)

      Creates an instance of SyntheticSequenceGenerator.
      Parameters:
        `background` - Background image for object.
        `object` - Object image which will move slowly over the background.
      Returns:
        automatically generated

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8